<template>
  <div class="login-page">
    <div class="login-box row container-sm animate">
      <div class="login-cont col-md-6">
        <div class="header row justify-content-md-center">
          <div class="col-4">
            <a href="/" class="home" title="Home"
              ><img src="@/assets/signin/home.png"
            /></a>
          </div>
          <div class="col-4">
            <img src="@/assets/signin/avatar.png" class="avatar" />
          </div>
          <div class="col-4">
            <div @click="Change()" class="signin">
              <router-link :to="hrefText"> {{ btnText }}</router-link>
            </div>
          </div>
        </div>
        <div class="SigninBox">
          <transition name="component-fade" mode="out-in">
            <component :is="view" class="tab"></component>
          </transition>
        </div>
        <div v-show="HideOauth" class="oauth_box">
          <p>OR</p>
          <div class="oauth">
            <ul>
              <li>
                <button>
                  <img src="@/assets/signin/google.svg" /><b
                    >Log in with Google</b
                  >
                </button>
              </li>
              <li>
                <button>
                  <img src="@/assets/signin/telegram.svg" /><b
                    >Log in with Telegram</b
                  >
                </button>
              </li>
              <li>
                <button>
                  <img src="@/assets/signin/facebook.svg" /><b
                    >Log in with Facebook</b
                  >
                </button>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div class="col-6 img"></div>
    </div>
  </div>
</template>
<script>
import Login from "./Login/Login";
import Signup from "./Signup/Signup";
export default {
  components: {
    "v-a": Login,
    "v-b": Signup,
  },
  data() {
    return {
      hrefText: "/signin",
      btnText: "Sign up",
      activeBtn: true,
    };
  },
  computed: {
    view() {
      if (this.activeBtn) {
        return "v-a";
      } else {
        return "v-b";
      }
    },
    HideOauth() {
      return this.$store.getters.isActive;
    },
  },
  methods: {
    Change() {
      this.activeBtn = !this.activeBtn;
      if (this.activeBtn) {
        this.btnText = "Sign up";
        this.hrefText = "/signin";
      } else {
        this.btnText = "Log in";
        this.hrefText = "/signin/#login";
      }
    },
  },
};
</script>
<style lang="scss">
@import "signin.scss";
</style>